package de.ivu.elect.business.stimmeingabe.control.background;

import java.util.Collection;

import de.ivu.elect.business.wahl.control.AbstractWahlParameterInit;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.Wahltermin;


import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.BUNDESWAHLLEITER_EXPORT_GEBIETSART;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.BUNDESWAHLLEITER_EXPORT_VERZEICHNIS;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.BUNDESWAHLLEITER_EXPORT_WAHL_KURZNAME;
import static java.util.Arrays.asList;

public class BundeswahlleiterExportKonfigurationInit extends AbstractWahlParameterInit {

  public BundeswahlleiterExportKonfigurationInit() {super();
  }

  @Override
  protected Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    return asList( //
        create(BUNDESWAHLLEITER_EXPORT_WAHL_KURZNAME, ""), //
        create(BUNDESWAHLLEITER_EXPORT_GEBIETSART, ""), //
        create(BUNDESWAHLLEITER_EXPORT_VERZEICHNIS, "") //
    );
  }
}
